/*
 * crc8.h
 *
 *  Created on: 2009-04-03
 *      Author: Jakub Łasiński (j.lasinsk@gmail.com)
 */

#ifndef CRC8_H_
#define CRC8_H_
#include <stdint.h>
/*
 * Counts CRC8 for single byte.
 */
uint8_t CRC8(uint8_t input, uint8_t seed);

/*
 * Counts CRC for whole array.
 */
uint8_t CountCRC(uint8_t seed,uint8_t* c, uint8_t size);
#endif /* CRC8_H_ */
